SystemMemberCache (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.admin, interface: SystemMemberCache

Package org.apache.geode.admin

# Interface SystemMemberCache

@Deprecated public interface SystemMemberCache
Deprecated.
as of 7.0 use the `management` package instead
Administrative interface that represent's the `SystemMember`'s view of its `Cache`.

Since:
  GemFire 3.5

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SystemMemberCacheServer`
  `addCacheServer()`
  Deprecated.
  Adds a new, unstarted cache server that will serve the contents of this cache to clients.
  `SystemMemberRegion`
  `createRegion(String name, RegionAttributes attrs)`
  Deprecated.
  Creates a root `Region` in this cache.
  `SystemMemberRegion`
  `createVMRegion(String name, RegionAttributes attrs)`
  Deprecated.
  as of GemFire 5.0, use `createRegion(java.lang.String, org.apache.geode.cache.RegionAttributes)` instead
  `SystemMemberCacheServer[]`
  `getCacheServers()`
  Deprecated.
  Returns the cache servers that run in this member's VM.
  `int`
  `getId()`
  Deprecated.
  Value that uniquely identifies an instance of a cache for a given member.
  `int`
  `getLockLease()`
  Deprecated.
  Gets the length, in seconds, of distributed lock leases obtained by this cache.
  `int`
  `getLockTimeout()`
  Deprecated.
  Gets the number of seconds a cache operation will wait to obtain a distributed lock lease.
  `String`
  `getName()`
  Deprecated.
  The name of the cache.
  `SystemMemberRegion`
  `getRegion(String path)`
  Deprecated.
  Return the existing region (or subregion) with the specified path that already exists in the cache.
  `Set`
  `getRootRegionNames()`
  Deprecated.
  Returns the names of all the root regions currently in this cache.
  `int`
  `getSearchTimeout()`
  Deprecated.
  Gets the number of seconds a cache `get` operation can spend searching for a value before it times out.
  `Statistic[]`
  `getStatistics()`
  Deprecated.
  Returns statistics related to this cache's performance.
  `int`
  `getUpTime()`
  Deprecated.
  Returns number of seconds since this member's cache has been created.
  `boolean`
  `isClosed()`
  Deprecated.
  Indicates if this cache has been closed.
  `boolean`
  `isServer()`
  Deprecated.
  Returns whether or not this cache acts as a server.
  `void`
  `refresh()`
  Deprecated.
  Updates the state of this cache instance.
  `void`
  `setLockLease(int seconds)`
  Deprecated.
  Sets the length, in seconds, of distributed lock leases obtained by this cache.
  `void`
  `setLockTimeout(int seconds)`
  Deprecated.
  Sets the number of seconds a cache operation may wait to obtain a distributed lock lease before timing out.
  `void`
  `setSearchTimeout(int seconds)`
  Deprecated.
  Sets the number of seconds a cache get operation can spend searching for a value.

- ## Method Details

  - ### getName

    String getName()
    Deprecated.
    The name of the cache.
    Returns:
      the name of the cache

  - ### getId

    int getId()
    Deprecated.
    Value that uniquely identifies an instance of a cache for a given member.
    Returns:
      the value that uniquely identifies an instance of a cache for a given member

  - ### isClosed

    boolean isClosed()
    Deprecated.
    Indicates if this cache has been closed.
    Returns:
      true, if this cache is closed; false, otherwise

  - ### getLockTimeout

    int getLockTimeout()
    Deprecated.
    Gets the number of seconds a cache operation will wait to obtain a distributed lock lease.
    Returns:
      the number of seconds a cache operation may wait to obtain a distributed lock lease before timing out

  - ### setLockTimeout

    void setLockTimeout(int seconds) throws AdminException
    Deprecated.
    Sets the number of seconds a cache operation may wait to obtain a distributed lock lease before timing out.
    Parameters:
      `seconds` - the number of seconds a cache operation may wait to obtain a distributed lock lease before timing out
    Throws:
      `AdminException` - If a problem is encountered while setting the lock timeout
    See Also:
      - `Cache.setLockTimeout(int)`

  - ### getLockLease

    int getLockLease()
    Deprecated.
    Gets the length, in seconds, of distributed lock leases obtained by this cache.
    Returns:
      the length, in seconds, of distributed lock leases obtained by this cache

  - ### setLockLease

    void setLockLease(int seconds) throws AdminException
    Deprecated.
    Sets the length, in seconds, of distributed lock leases obtained by this cache.
    Parameters:
      `seconds` - the length, in seconds, of distributed lock leases obtained by this cache
    Throws:
      `AdminException` - If a problem is encountered while setting the lock lease
    See Also:
      - `Cache.setLockLease(int)`

  - ### getSearchTimeout

    int getSearchTimeout()
    Deprecated.
    Gets the number of seconds a cache `get` operation can spend searching for a value before it times out. The search includes any time spent loading the object. When the search times out it causes the get to fail by throwing an exception.
    Returns:
      the number of seconds a cache get operation can spend searching for a value

  - ### setSearchTimeout

    void setSearchTimeout(int seconds) throws AdminException
    Deprecated.
    Sets the number of seconds a cache get operation can spend searching for a value.
    Parameters:
      `seconds` - the number of seconds a cache get operation can spend searching for a value
    Throws:
      `AdminException` - If a problem is encountered while setting the search timeout
    See Also:
      - `Cache.setSearchTimeout(int)`

  - ### getUpTime

    int getUpTime()
    Deprecated.
    Returns number of seconds since this member's cache has been created. Returns `-1` if this member does not have a cache or its cache has been closed.
    Returns:
      number of seconds since this member's cache has been created

  - ### getRootRegionNames

    Set getRootRegionNames()
    Deprecated.
    Returns the names of all the root regions currently in this cache.
    Returns:
      he names of all the root regions currently in this cache

  - ### getStatistics

    Statistic[] getStatistics()
    Deprecated.
    Returns statistics related to this cache's performance.
    Returns:
      statistics related to this cache's performance

  - ### getRegion

    SystemMemberRegion getRegion(String path) throws AdminException
    Deprecated.
    Return the existing region (or subregion) with the specified path that already exists in the cache. Whether or not the path starts with a forward slash it is interpreted as a full path starting at a root.
    Parameters:
      `path` - the path to the region
    Returns:
      the Region or null if not found
    Throws:
      `IllegalArgumentException` - if path is null, the empty string, or "/"
      `AdminException` - If the region cannot be retrieved

  - ### createVMRegion

    @Deprecated SystemMemberRegion createVMRegion(String name, RegionAttributes attrs) throws AdminException
    Deprecated.
    as of GemFire 5.0, use `createRegion(java.lang.String, org.apache.geode.cache.RegionAttributes)` instead
    Creates a VM root `Region` in this cache.
    Parameters:
      `name` - The name of the region to create
      `attrs` - The attributes of the root region
    Returns:
      the newly created VM root `Region`
    Throws:
      `AdminException` - If the region cannot be created
    Since:
      GemFire 4.0

  - ### createRegion

    SystemMemberRegion createRegion(String name, RegionAttributes attrs) throws AdminException
    Deprecated.
    Creates a root `Region` in this cache.
    Parameters:
      `name` - The name of the region to create
      `attrs` - The attributes of the root region
    Returns:
      the newly created `Region`
    Throws:
      `AdminException` - If the region cannot be created
    Since:
      GemFire 5.0

  - ### refresh

    void refresh()
    Deprecated.
    Updates the state of this cache instance. Note that once a cache instance is closed refresh will never change the state of that instance.

  - ### addCacheServer

    SystemMemberCacheServer addCacheServer() throws AdminException
    Deprecated.
    Adds a new, unstarted cache server that will serve the contents of this cache to clients.
    Returns:
      the newly started cache server
    Throws:
      `AdminException` - if an exception is encountered
    Since:
      GemFire 5.7
    See Also:
      - `Cache.addCacheServer()`

  - ### getCacheServers

    SystemMemberCacheServer[] getCacheServers() throws AdminException
    Deprecated.
    Returns the cache servers that run in this member's VM. Note that this list will not be updated until `refresh()` is called.
    Returns:
      the cache servers that run in this member's VM
    Throws:
      `AdminException` - if an exception is encountered
    Since:
      GemFire 5.7
    See Also:
      - `Cache.getCacheServers()`

  - ### isServer

    boolean isServer() throws AdminException
    Deprecated.
    Returns whether or not this cache acts as a server. This method will always return `true` for the `SystemMemberCache` obtained from a `CacheServer`. Note that this value will not be updated until `refresh()` is invoked.
    Returns:
      whether this cache acts as a server
    Throws:
      `AdminException` - if an exception is encountered
    Since:
      GemFire 4.0